# pqxx::internal::reactivation_avoidance_counter Class Reference

`#include <connection_base.hxx>`

List of all members.

## Public Member Functions

| reactivation_avoidance_counter ()
void | add (int n) throw ()
void | clear () throw ()
int | get () const throw ()
void | give_to (reactivation_avoidance_counter &rhs) throw ()

## Constructor & Destructor Documentation

pqxx::internal::reactivation_avoidance_counter::reactivation_avoidance_counter | ( |  | ) |

## Member Function Documentation

void pqxx::internal::reactivation_avoidance_counter::add | ( | int | n | ) | throw ()

void pqxx::internal::reactivation_avoidance_counter::clear | ( |  | ) | throw ()

int pqxx::internal::reactivation_avoidance_counter::get | ( |  | ) | const throw ()

void pqxx::internal::reactivation_avoidance_counter::give_to | ( | reactivation_avoidance_counter & | rhs | ) | throw ()

The documentation for this class was generated from the following file:

- connection_base.hxx